Package tigase.xmpp.impl

# Class Bind2

java.lang.Object
tigase.xmpp.impl.Bind2

All Implemented Interfaces:
  `SaslAuth2.Inline`

@Bean(name="urn:xmpp:bind:0", parent=SessionManager.class, active=false) public class Bind2 extends Object implements SaslAuth2.Inline

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface tigase.xmpp.impl.SaslAuth2.Inline

  `SaslAuth2.Inline.Action, SaslAuth2.Inline.Result`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `XMLNS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Bind2()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canHandle(XMPPResourceConnection connection, Element el)`
  `List<SaslAuth2.Inline>`
  `getInlines()`
  `CompletableFuture<SaslAuth2.Inline.Result>`
  `process(XMPPResourceConnection session, Element action)`
  `void`
  `setInlines(List<SaslAuth2.Inline> inlines)`
  `Element[]`
  `supStreamFeatures(SaslAuth2.Inline.Action action)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### XMLNS

    public static final String XMLNS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Bind2

    public Bind2()

- ## Method Details

  - ### getInlines

    public List<SaslAuth2.Inline> getInlines()

  - ### setInlines

    public void setInlines(List<SaslAuth2.Inline> inlines)

  - ### canHandle

    public boolean canHandle(XMPPResourceConnection connection, Element el)
    Specified by:
      `canHandle` in interface `SaslAuth2.Inline`

  - ### supStreamFeatures

    public Element[] supStreamFeatures(SaslAuth2.Inline.Action action)
    Specified by:
      `supStreamFeatures` in interface `SaslAuth2.Inline`

  - ### process

    public CompletableFuture<SaslAuth2.Inline.Result> process(XMPPResourceConnection session, Element action)
    Specified by:
      `process` in interface `SaslAuth2.Inline`